### Method

# Aravis Buffer get_data

since: 0.4.0

#### Declaration [src]

    void*
    arv_buffer_get_data (
      ArvBuffer* buffer,
      size_t* size
    )

#### Description [src]

Buffer data accessor.

Available since: 0.4.0

#### Parameters

`size`

  Type: `size_t*`

  Location to store data size, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `guint8`

A pointer to the buffer data.

The length of the array is in the `size` argument.
The returned data is owned by the instance.